package data_manage

import (
	"eta_gn/eta_task/global"
	"time"
)

type EdbClassify struct {
	ClassifyID             int64 `gorm:"column:classify_id;primaryKey"` //`orm:"column(classify_id);pk"`
	ClassifyType           uint32
	ClassifyName           string
	ParentID               int64
	HasData                int32
	CreateTime             time.Time
	ModifyTime             time.Time
	SysUserID              int64
	SysUserRealName        string
	Level                  int64
	UniqueCode             string
	Sort                   uint32
	RootID                 int64
	LastModifyUserID       uint32
	LastModifyUserRealName string
	IsJoinPermission       int64
	ClassifyNameEn         string
}

func GetAllEdbClassifyListByCondition(condition string, pars []interface{}) (item []*EdbClassify, err error) {
	sql := ` SELECT * FROM edb_classify WHERE 1=1 `
	if condition != "" {
		sql += condition
	}
	sql += `ORDER BY classify_id ASC `
	err = global.DmSQL["data"].Raw(sql, pars...).Find(&item).Error
	return
}

func AddEdbClassify(item *EdbClassify) (err error) {
	err = global.DmSQL["data"].Create(item).Error
	if err != nil {
		return
	}

	return
}

func (m *EdbClassify) Update(cols []string) (err error) {
	err = global.DmSQL["data"].Select(cols).Updates(m).Error
	return
}
