package edb_refresh

import (
	"errors"
	"eta_gn/eta_task/global"
	"time"
)

type EdbRefreshConfig struct {
	EdbRefreshConfigId  int       `gorm:"column:edb_refresh_config_id;primaryKey"` //  `orm:"column(edb_refresh_config_id);pk"`
	RefreshFrequency    string    `description:"刷新频率"`
	RefreshFrequencyDay int       `description:"具体刷新的日期"`
	RefreshTime         string    `description:"刷新时间"`
	RefreshAllData      int       `description:"是否刷新所有数据，0：否，1：刷新所有数据"`
	RefreshDataNum      int       `description:"刷新单元格数"`
	ModifyTime          time.Time `description:"最晚一次的更新时间"`
	CreateTime          time.Time `description:"添加时间"`
}

func (m *EdbRefreshConfig) Add() (err error) {
	if m.EdbRefreshConfigId > 0 {
		err = errors.New("该配置已存在")
		return
	}
	err = global.DmSQL["data"].Create(m).Error
	return
}

func (m *EdbRefreshConfig) Update(cols []string) (err error) {
	err = global.DmSQL["data"].Select(cols).Updates(m).Error
	return
}

func (m *EdbRefreshConfig) Delete() (err error) {
	err = global.DmSQL["data"].Exec("DELETE FROM edb_refresh_config WHERE edb_refresh_config_id = ?", m.EdbRefreshConfigId).Error
	return
}

func GetEdbRefreshConfigListByCondition(condition string, pars []interface{}) (list []*EdbRefreshConfig, err error) {
	sql := `SELECT * FROM edb_refresh_config
         WHERE 1 = 1 `

	if condition != "" {
		sql += condition
	}
	sql += ` ORDER BY edb_refresh_config_id ASC `
	err = global.DmSQL["data"].Raw(sql, pars...).Find(&list).Error
	return
}
