package services

import (
	"context"
	"eta_gn/eta_task/models"
	"eta_gn/eta_task/services/alarm_msg"
	"eta_gn/eta_task/utils"
	"fmt"
	"time"
)

func ClearAdminOperateLog(cont context.Context) (err error) {
	defer func() {
		if err != nil {
			tips := fmt.Sprintf("清理用户操作日志, ClearAdminOperateLog error: %s", err.Error())
			fmt.Println(tips)
			go alarm_msg.SendAlarmMsg(tips, 2)
		}
	}()

	preTime := time.Now().Local().AddDate(0, -3, 0).Format(utils.FormatDateTime)
	e := models.ClearAdminOperateRecord(preTime)
	if e != nil {
		err = fmt.Errorf("ClearAdminOperateRecord: %s", e.Error())
	}
	return
}
