package utils

import (
	"fmt"
	"gopkg.in/gomail.v2"
	"mime"
	"strings"
)

func SendEmail(title, content string, touser string) bool {
	var arr []string
	sub := strings.Index(touser, ";")
	if sub >= 0 {
		spArr := strings.Split(touser, ";")
		for _, v := range spArr {
			arr = append(arr, v)
		}
	} else {
		arr = append(arr, touser)
	}

	m := gomail.NewMessage()
	m.SetHeader("From", m.FormatAddress("qunao007@qq.com", APPNAME)) //这种方式可以添加别名，即“XX官方”

	m.SetHeader("To", arr...)
	m.SetHeader("Subject", title+" "+GetRandString(16))
	m.SetBody("text/html", content)
	d := gomail.NewDialer("smtp.qq.com", 587, "qunao007@qq.com", "cyhjgffhaobteihd")

	if err := d.DialAndSend(m); err != nil {
		fmt.Println("err:", err)
		return false
	}
	return true
}

func SendEmailByHongze(title, content string, touser, attachPath, attachName string) bool {
	var arr []string
	sub := strings.Index(touser, ";")
	if sub >= 0 {
		spArr := strings.Split(touser, ";")
		for _, v := range spArr {
			arr = append(arr, v)
		}
	} else {
		arr = append(arr, touser)
	}
	m := gomail.NewMessage()

	m.SetHeader("From", "public@hzinsights.com")
	m.SetHeader("To", arr...)
	m.SetHeader("Subject", title+" "+GetRandStringNoSpecialChar(8))
	m.SetBody("text/html", content)

	if attachPath != "" {
		m.Attach(attachPath,
			gomail.Rename(attachName),
			gomail.SetHeader(map[string][]string{
				"Content-Disposition": {
					fmt.Sprintf(`attachment; filename="%s"`, mime.QEncoding.Encode("UTF-8", attachName)),
				},
			}))
	}
	d := gomail.NewDialer("smtp.mxhichina.com", 465, "public@hzinsights.com", "Hzinsights2018")
	if err := d.DialAndSend(m); err != nil {
		fmt.Println("send err:", err.Error())
		return false
	}
	return true
}
